from pyspark.context import SparkContext
from pyspark.sql import SparkSession

class SparkSessionWithDataengine(object):

    @staticmethod
    def enableDataengine(crn, apikey, connectivity, pathToHiveMetastoreJars="/opt/spark/metastore_jars"):
        sc = SparkContext.getOrCreate()
        jConfigList = sc._jvm.com.ibm.cloud.dataengine.SparkSessionBuilderAddOn.getDataengineConfig(crn, apikey, connectivity, pathToHiveMetastoreJars).getAll()
        sc.stop() # must stop the context again to really apply all the changes

        session_builder = SparkSession.builder.enableHiveSupport()
        for jconf in jConfigList:
            conf = str(jconf)
            key, value = conf[1:][:-1].split(',', 1) # remove prefix '(' and suffix ')' and split at the first ','
            session_builder.config(key, value)

        return session_builder
