import sys
from SparkSessionWithDataengine import SparkSessionWithDataengine

if __name__ == '__main__':
    crn = sys.argv[1]
    apikey = sys.argv[2]

    session_builder = SparkSessionWithDataengine.enableDataengine(crn, apikey, "public", "/opt/spark/metastore_jars")
    spark = session_builder.appName("Spark DataEngine integration") \
          .config("fs.cos.impl", "com.ibm.stocator.fs.ObjectStoreFileSystem") \
          .config("fs.stocator.scheme.list", "cos") \
          .config("fs.stocator.cos.impl", "com.ibm.stocator.fs.cos.COSAPIClient") \
          .getOrCreate()

    print("Dumping session config...")
    for conf in spark.sparkContext.getConf().getAll():
        key = conf[0]
        value = "***" if apikey == conf[1] else conf[1]
        print(key, value)

    # test payload
    print("Got a spark session, listing all tables")
    spark.sql('show tables').show()

    spark.stop()
